#include <bits/stdc++.h>
using namespace std;
void sort(map<double, int>& M, long long z) 
{ 
multimap<double, int> MM; 
for (auto& it : M)
{ 
MM.insert({ it.first, it.second }); 
} 
double maks=0;
for (auto& it : MM) 
{ 
if(maks<((z*it.first)/100))
maks=((z*it.first)/100);
z-=it.second;
} 
cout<<fixed<<showpoint<<setprecision(4)<<maks<<endl;
} 
map <double, int> m;
int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n;
cin>>n;
long long z=0;
int v;
double p;
for(int i=0;i<n;i++)
{
cin>>v>>p;
m[p]+=v;
z+=v;
}
sort(m,z);
return 0;
}